Package net.sf.saxon.jaxp

## Class TemplatesHandlerImpl

- java.lang.Object
- - net.sf.saxon.event.ReceivingContentHandler
  - - net.sf.saxon.jaxp.TemplatesHandlerImpl

- All Implemented Interfaces:
    `javax.xml.transform.sax.TemplatesHandler`, `org.xml.sax.ContentHandler`, `org.xml.sax.DTDHandler`, `org.xml.sax.ext.LexicalHandler`

      public class TemplatesHandlerImpl
      extends ReceivingContentHandler
      implements javax.xml.transform.sax.TemplatesHandler

  TemplatesHandlerImpl implements the javax.xml.transform.sax.TemplatesHandler interface. It acts as a ContentHandler which receives a stream of SAX events representing a stylesheet, and returns a Templates object that represents the compiled form of this stylesheet.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.saxon.event.ReceivingContentHandler

      `ReceivingContentHandler.LocalLocator`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `TemplatesHandlerImpl​(Processor processor)` | Create a TemplatesHandlerImpl and initialise variables.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getSystemId()` | Get the systemId of the document
    `javax.xml.transform.Templates` | `getTemplates()` | Get the Templates object to be used for a transformation
    `void` | `setDocumentLocator​(org.xml.sax.Locator locator)` | Callback interface for SAX: not for application use
    `void` | `setSystemId​(java.lang.String url)` | Set the SystemId of the document.

    - ### Methods inherited from class net.sf.saxon.event.ReceivingContentHandler

      `characters, comment, endCDATA, endDocument, endDTD, endElement, endEntity, endPrefixMapping, getConfiguration, getPipelineConfiguration, getReceiver, ignorableWhitespace, isIgnoringIgnorableWhitespace, notationDecl, processingInstruction, reset, setIgnoreIgnorableWhitespace, setPipelineConfiguration, setReceiver, skippedEntity, startCDATA, startDocument, startDTD, startElement, startEntity, startPrefixMapping, unparsedEntityDecl`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.xml.sax.ContentHandler

      `characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, skippedEntity, startDocument, startElement, startPrefixMapping`

- - ### Constructor Detail

    - #### TemplatesHandlerImpl

          protected TemplatesHandlerImpl​(Processor processor)

      Create a TemplatesHandlerImpl and initialise variables. The constructor is protected, because the Filter should be created using newTemplatesHandler() in the SAXTransformerFactory class
      Parameters:
        `processor` - the Saxon s9api processor

  - ### Method Detail

    - #### getTemplates

          public javax.xml.transform.Templates getTemplates()

      Get the Templates object to be used for a transformation
      Specified by:
        `getTemplates` in interface `javax.xml.transform.sax.TemplatesHandler`

    - #### setSystemId

          public void setSystemId​(java.lang.String url)

      Set the SystemId of the document. Note that if this method is called, any locator supplied to the setDocumentLocator() method is ignored. This also means that no line number information will be available.
      Specified by:
        `setSystemId` in interface `javax.xml.transform.sax.TemplatesHandler`
      Parameters:
        `url` - the system ID (base URI) of the stylesheet document, which will be used in any error reporting and also for resolving relative URIs in xsl:include and xsl:import. It will also form the static base URI in the static context of XPath expressions.

    - #### setDocumentLocator

          public void setDocumentLocator​(org.xml.sax.Locator locator)

      Callback interface for SAX: not for application use
      Specified by:
        `setDocumentLocator` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `setDocumentLocator` in class `ReceivingContentHandler`

    - #### getSystemId

          public java.lang.String getSystemId()

      Get the systemId of the document
      Specified by:
        `getSystemId` in interface `javax.xml.transform.sax.TemplatesHandler`